GNU bug report logs - #38526
26.3; w32-shell-execute fails inside Nextcloud folder

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>; dated Sun, 8 Dec 2019 12:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 9 Dec 2019 17:22:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 09 12:22:45 2019
Received: from localhost ([127.0.0.1]:54380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ieMk9-000175-EH
	for submit <at> debbugs.gnu.org; Mon, 09 Dec 2019 12:22:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ieMk8-00016u-DE
 for 38526 <at> debbugs.gnu.org; Mon, 09 Dec 2019 12:22:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36350)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ieMk2-00049C-Ti; Mon, 09 Dec 2019 12:22:38 -0500
Received: from [176.228.60.248] (port=4878 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ieMk2-0002qN-67; Mon, 09 Dec 2019 12:22:38 -0500
Date: Mon, 09 Dec 2019 19:22:22 +0200
Message-Id: <83zhg1bei9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
In-reply-to: <867e35e9rn.wl-juanjose.garcia.ripoll@HIDDEN> (message from Juan
 Jose Garcia-Ripoll on Mon, 09 Dec 2019 17:36:28 +0100)
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
 <83blsiesbg.fsf@HIDDEN>
 <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN>
 <8336dueodg.fsf@HIDDEN>
 <86pngy7m17.wl-juanjose.garcia.ripoll@HIDDEN>
 <831rteemee.fsf@HIDDEN> <867e35e9rn.wl-juanjose.garcia.ripoll@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
Cc: 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 09 Dec 2019 17:36:28 +0100
> From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
> Cc: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>,
> 	38526 <at> debbugs.gnu.org
> 
> https://github.com/nextcloud/desktop/issues/1671
> Nextcloud's log shows that it intercepts the ShellExecute calls.

Intercepts, but doesn't support "open", and doesn't call the next
handler in the chain?  That sounds like a terrible bug to me, and I
have hard time believing in such problematic behavior.

Thanks for telling us.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 9 Dec 2019 16:36:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 09 11:36:35 2019
Received: from localhost ([127.0.0.1]:54343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ieM1T-0008Tb-AE
	for submit <at> debbugs.gnu.org; Mon, 09 Dec 2019 11:36:35 -0500
Received: from cel1.sgai.csic.es ([161.111.10.57]:36329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1ieM1Q-0008TS-KA
 for 38526 <at> debbugs.gnu.org; Mon, 09 Dec 2019 11:36:33 -0500
IronPort-PHdr: =?us-ascii?q?9a23=3AW4FROx+dKF6Bz/9uRHKM819IXTAuvvDOBiVQ1K?=
 =?us-ascii?q?B21eocTK2v8tzYMVDF4r011RmVBN6dsqMcwLqH+4nbGkU4qa6bt34DdJEeHz?=
 =?us-ascii?q?Qksu4x2zIaPcieFEfgJ+TrZSFpVO5LVVti4m3peRMNQJW2aFLduGC94iAPER?=
 =?us-ascii?q?vjKwV1Ov71GonPhMiryuy+4ZLebxhGiTanfL9/KAm6oQrSu8QSnIBvNrs/xh?=
 =?us-ascii?q?zVr3VSZu9Y33loJVWdnxb94se/4ptu+DlOtvwi6sBNT7z0c7w3QrJEAjsmNX?=
 =?us-ascii?q?s15NDwuhnYUQSP/HocXX4InRdOHgPI8Qv1Xpb1siv9q+p9xCyXNtD4QLwoRT?=
 =?us-ascii?q?iv6bpgRQT2gykbKTE27GDXitRxjK1FphKhuwd/yJPQbI2MKfZyYr/RcdYcSG?=
 =?us-ascii?q?FcXMheSjZBD5uyYYUMD+QPI/tWoIvzp1QAohSxGQaiCfjzyj9RnHL6wbE23v?=
 =?us-ascii?q?48HQzAwQcuH8gOsHPRrNjtMKkSTPq6zK/VxjvHaPNWwiny45XJfB87u/GDQb?=
 =?us-ascii?q?NwftDIxUczFgPFllKQqYjhPziI0ekNsXWb4PBmVeKtjG4nsB9+riKgxsg2kI?=
 =?us-ascii?q?nGmoMVxUre+SVjwYY1Pdq4SEp/YdO/DJRQrCCaOJdsTsw8WGFloSA3waAIt5?=
 =?us-ascii?q?68eSgF0pUnxxjHZvyHaIeH+AjjWPyPLjdjnH5ld7O/hwqy8Ui90eLwTNW70F?=
 =?us-ascii?q?FPridDj9LCtWgN2gTO5sSbUPdx41ut1SqV2w3Q9O1IO085mK7DJ5Mi37I8jI?=
 =?us-ascii?q?YfvV7eEiPshkn6kKGbe0M58eay8evneK/pppqEOo9xjQHxL7ohl9SkAeQ9Lg?=
 =?us-ascii?q?gOR2+b+fmg1LH7/U32XrFKjvoun6nCtZDaOdwbpq+/AwNPzokj8Be/ACu83N?=
 =?us-ascii?q?sGhnkLNFNFeBSZgIj1I1zCPez0Ae2ij1iwjDtn3fPLMqP7DpjCKnXPiLLhcq?=
 =?us-ascii?q?x8605Yxgoz19df55dMB7EDPfL8QEnxtN7fDh8iLQO42ennB89n1owCWGKAGL?=
 =?us-ascii?q?WVMLnTsV+Q4eIvJ+2MaZQJtzbmKvgq++TigmEimVMFZ6mmwYMXaGykHvRhO0?=
 =?us-ascii?q?iUb3nhj9cfHWoLpQcxUfLlh0aZXj5OaHayRLgw5j49CIK7F4vDQZqtgLOZ1i?=
 =?us-ascii?q?ehApJWfnxGCkyLEXrwaYqEX/YMaSOJL89ulDwESKKtS4g71RGh50fGzO9KKu?=
 =?us-ascii?q?ucyCQCuI7419l0r7nekRAg3TNyEoKayW7bHE9umWZdZSI/2uhdpldwgniKy6?=
 =?us-ascii?q?N5irliFMRU4/cBBgUnPJjeyPd3Td/7QAnAd5GTSU6hRtGOCiowRZQ82IldMA?=
 =?us-ascii?q?5GB9y+g0WbjGKRCLgPmunOXcRs/w=3D=3D?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2H1AAD4du5d/zFSZApkGgEBAQEBAQE?=
 =?us-ascii?q?BAQMBAQEBEQEBAQICAQEBAYF+gwyBMYdLi32BZotBgziGTYEnhAU8CQEBAQ4?=
 =?us-ascii?q?jDAEBAoECgndFAoI+OBMCEAEBAQQBAQEBAQUDAQEBAoVUTAyCOykBEVI7LwE?=
 =?us-ascii?q?BAQEBAQEBAQEBAQEBAQEBAQEBAQEBARICDVQmQwEBAQN5EAsNCy5XBoM2gwa?=
 =?us-ascii?q?uDBoCg2A+AYEVhQGBNoFlizGBHIERgxM+gmQCh1EEjSGhOAeCMYIShRGOQxu?=
 =?us-ascii?q?DNossA4tNlSqBZY1hhC2BaYF7MxqDXwlHEWuLdIQOe4lZc48QAQE?=
X-IPAS-Result: =?us-ascii?q?A2H1AAD4du5d/zFSZApkGgEBAQEBAQEBAQMBAQEBEQEBA?=
 =?us-ascii?q?QICAQEBAYF+gwyBMYdLi32BZotBgziGTYEnhAU8CQEBAQ4jDAEBAoECgndFA?=
 =?us-ascii?q?oI+OBMCEAEBAQQBAQEBAQUDAQEBAoVUTAyCOykBEVI7LwEBAQEBAQEBAQEBA?=
 =?us-ascii?q?QEBAQEBAQEBAQEBARICDVQmQwEBAQN5EAsNCy5XBoM2gwauDBoCg2A+AYEVh?=
 =?us-ascii?q?QGBNoFlizGBHIERgxM+gmQCh1EEjSGhOAeCMYIShRGOQxuDNossA4tNlSqBZ?=
 =?us-ascii?q?Y1hhC2BaYF7MxqDXwlHEWuLdIQOe4lZc48QAQE?=
X-IronPort-AV: E=Sophos;i="5.69,296,1571695200"; d="scan'208";a="23512729"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.49])
 by cel1.sgai.csic.es with ESMTP; 09 Dec 2019 17:36:30 +0100
Received: from deutsch.csic.es (unknown [81.0.1.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id CBEF610A8EC1;
 Mon,  9 Dec 2019 17:36:29 +0100 (CET)
Date: Mon, 09 Dec 2019 17:36:28 +0100
Message-ID: <867e35e9rn.wl-juanjose.garcia.ripoll@HIDDEN>
From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
In-Reply-To: <831rteemee.fsf@HIDDEN>
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
 <83blsiesbg.fsf@HIDDEN>
 <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN>
 <8336dueodg.fsf@HIDDEN>
 <86pngy7m17.wl-juanjose.garcia.ripoll@HIDDEN>
 <831rteemee.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/26
 (x86_64-w64-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
Cc: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>,
 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sun, 08 Dec 2019 19:51:21 +0100,
Eli Zaretskii wrote:
> Sorry, I cannot help you, as I know nothing about Nextcloud.  Maybe
> someone else does.  Failing that, I suggest to ask on the Nextcloud
> forum, showing them the code we have in Emacs that calls
> ShellExecuteW, or just asking whether there are known issues with
> ShellExecuteW calls for files in the Nextcloud directory.

Here it goes
https://github.com/nextcloud/desktop/issues/1671
Nextcloud's log shows that it intercepts the ShellExecute calls.

--=20
Juan Jos=E9 Garc=EDa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll

--
Juan Jos=E9 Garc=EDa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 8 Dec 2019 17:51:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 12:51:57 2019
Received: from localhost ([127.0.0.1]:52226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie0iq-0004Zr-U1
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:51:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ie0ip-0004ZZ-6k
 for 38526 <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:51:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47431)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ie0ij-0005vk-O9; Sun, 08 Dec 2019 12:51:49 -0500
Received: from [176.228.60.248] (port=2546 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ie0ib-0000F2-Dp; Sun, 08 Dec 2019 12:51:49 -0500
Date: Sun, 08 Dec 2019 19:51:21 +0200
Message-Id: <831rteemee.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
In-reply-to: <86pngy7m17.wl-juanjose.garcia.ripoll@HIDDEN> (message from Juan
 Jose Garcia-Ripoll on Sun, 08 Dec 2019 18:41:08 +0100)
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
 <83blsiesbg.fsf@HIDDEN>
 <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN>
 <8336dueodg.fsf@HIDDEN> <86pngy7m17.wl-juanjose.garcia.ripoll@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
Cc: 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 08 Dec 2019 18:41:08 +0100
> From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
> Cc: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>,
> 	38526 <at> debbugs.gnu.org
> 
> - w32-shell-execute with verb "open" fails to actually open any object that lays inside a Nextcloud folder.
> - those same files can be opened from Windows Explorer
> - moving those files outside of Nextcloud or switching off Nextcloud solves the issue but that is kind of pointless.
> - w32-shell-execute does not generate any message or log and I do not know how to debug it.
> 
> The problem is evidenced with any type of file. Initially I was obsessed with PDF but as I explain in my previous file, it occurs with Word files and any other file that is not associated to emacs -- for instance, 
> 
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.docx")
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.pdf")
> 
> I am wondering whether it has to do with the permissions of the emacs.exe executable or the fact that it uses a w32 api call. I have tried investigating the Windows logs but I found no error associated to the w32-shell-execute call.

Thanks.

Sorry, I cannot help you, as I know nothing about Nextcloud.  Maybe
someone else does.  Failing that, I suggest to ask on the Nextcloud
forum, showing them the code we have in Emacs that calls
ShellExecuteW, or just asking whether there are known issues with
ShellExecuteW calls for files in the Nextcloud directory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 8 Dec 2019 17:41:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 12:41:13 2019
Received: from localhost ([127.0.0.1]:52217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie0YT-0004KC-IW
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:41:13 -0500
Received: from cel1.sgai.csic.es ([161.111.10.57]:2442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1ie0YS-0004K4-9z
 for 38526 <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:41:12 -0500
IronPort-PHdr: =?us-ascii?q?9a23=3AhMUnOR1ZTAY0pqCnsmDT+DRfVm0co7zxezQtwd?=
 =?us-ascii?q?8ZseMSK/ad9pjvdHbS+e9qxAeQG9mCsLQd27Wd6vi8EUU7or+5+EgYd5JNUx?=
 =?us-ascii?q?JXwe43pCcHRPC/NEvgMfTxZDY7FskRHHVs/nW8LFQHUJ2mPw6arXK99yMdFQ?=
 =?us-ascii?q?viPgRpOOv1BpTSj8Oq3Oyu5pHfeQpFiCezbL9oMRm7rgfcusYLjYd+Jas61w?=
 =?us-ascii?q?fErGZPd+lK321jOEidnwz75se+/Z5j9zpftvc8/MNeUqv0Yro1Q6VAADspL2?=
 =?us-ascii?q?466svrtQLeTQSU/XsTTn8WkhtTDAfb6hzxQ4r8vTH7tup53ymaINH2QLUpUj?=
 =?us-ascii?q?ms86tnVBnlgzocOjUn7G/YlNB/jKNDoBKguRN/xZLUYJqIP/Z6Z6/RYM8WSX?=
 =?us-ascii?q?ZEUstXSidPAJ6zb5EXAuQPPuhWr5fzqUYMohuwCwajC//gxDBTi3/qxK03yf?=
 =?us-ascii?q?gtHR3c0QA9Gd8FrXTarM/yNKcXSe27yLTIwi/Fb/hL3Tn975PIfQ48qv+NR7?=
 =?us-ascii?q?1wa9beyUg1GA/ckluQqJTlPzSR1uQJrmOW6OhgVf+1hG4hqQFxpSOvydk2ho?=
 =?us-ascii?q?nGnI0V0EzL9SRjz4ovP924SVZ7YdmgEJtUrCyVK5B2QsI+TG1ypik60aQLtJ?=
 =?us-ascii?q?imdyYEz5QnwgTQa/2Bc4WQ4hLsT/yeIS1iiH17Y7KygQu5/0u4yuDkS8W4zE?=
 =?us-ascii?q?xGojdZntXQrHwA1ALf5tKHR/Zz5kus2iuD2xrP5u1ePEw4j7TXJ4Ivz7M2i5?=
 =?us-ascii?q?Edq17MHjXsl0XzlKKWc0Ik9fW25On/ebXmo4OcN5dzigHjLqQigsy/Dvo8Mg?=
 =?us-ascii?q?gJR2Wb4uG81KH7/U34RrVGlOE5krLYsJ/GP8gUuLW5DxdU0oYl9Rm/Ey+r3M?=
 =?us-ascii?q?kEkXUdMV5JZA6Lg5LqNl3QOvz1Dfmyj0ypkDhxxvDGOrPhAo/KLnjGiLrhf6?=
 =?us-ascii?q?t95FRayAoxytBf/IxbBqsOIP3pQE/+qN3YAQUjPwyuwubnENJ91ocaWW+UHq?=
 =?us-ascii?q?CZK6LSvkOS6u0xOOmAfJUVtyrlK/g5+/7uimc0lFEecKSpw5caaWu1Eel4LE?=
 =?us-ascii?q?qCenXsn9gBEXwQsgoxSuzqlUeOUTlJZ3a9R6g8/C00CJq6DYffQYCgmKKO3C?=
 =?us-ascii?q?O6HpxXfW1GBVaMEWrye4WDQfcMZ3HaHsg0vzgFHYqoUYI9zhKvtUeuxr5mPM?=
 =?us-ascii?q?Lb/DBesojsgotb/erWwDMv/Do8LcOG3imiRnt/n2pNfT4u26R76Rh/116F06?=
 =?us-ascii?q?9jjrpXHMZY5voPSAYiMprY5+dhCtu0VxmXLYTBc0qvXtjzWWJ5ddk22dJbJh?=
 =?us-ascii?q?8lQ9g=3D?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2GkBwBGNe1d/zVSZAplHAEBAQEBBwE?=
 =?us-ascii?q?BEQEEBAEBgX6DDIExh3WLeoJnikCLLIRBCQEBAQ4bFAEBgQSDPAKCOjgTAhA?=
 =?us-ascii?q?BAQEEAQEBAQEFAwEBAQKFVEwMgjspAYFNgTNDAgEDeRALDTlJAQ0GgzawHBo?=
 =?us-ascii?q?Cg2CBVIR8gTaBZYsxgRyBEYIVSTU+hEmFbgSuWQeCMYIShRGOQxuCQnSLLAO?=
 =?us-ascii?q?LTZAPlGGELYFpgXszGoNfCUcRjF8nF4RLiVlzj1MBAQ?=
X-IPAS-Result: =?us-ascii?q?A2GkBwBGNe1d/zVSZAplHAEBAQEBBwEBEQEEBAEBgX6DD?=
 =?us-ascii?q?IExh3WLeoJnikCLLIRBCQEBAQ4bFAEBgQSDPAKCOjgTAhABAQEEAQEBAQEFA?=
 =?us-ascii?q?wEBAQKFVEwMgjspAYFNgTNDAgEDeRALDTlJAQ0GgzawHBoCg2CBVIR8gTaBZ?=
 =?us-ascii?q?YsxgRyBEYIVSTU+hEmFbgSuWQeCMYIShRGOQxuCQnSLLAOLTZAPlGGELYFpg?=
 =?us-ascii?q?XszGoNfCUcRjF8nF4RLiVlzj1MBAQ?=
X-IronPort-AV: E=Sophos;i="5.69,292,1571695200"; d="scan'208";a="21413362"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.53])
 by cel1.sgai.csic.es with ESMTP; 08 Dec 2019 18:41:07 +0100
Received: from deutsch.csic.es (static.203.1.0.81.ibercom.com [81.0.1.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id EE8FE10A8EC1;
 Sun,  8 Dec 2019 18:41:06 +0100 (CET)
Date: Sun, 08 Dec 2019 18:41:08 +0100
Message-ID: <86pngy7m17.wl-juanjose.garcia.ripoll@HIDDEN>
From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
In-Reply-To: <8336dueodg.fsf@HIDDEN>
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
 <83blsiesbg.fsf@HIDDEN>
 <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN>
 <8336dueodg.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/26
 (x86_64-w64-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
Cc: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>,
 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Sorry, my report was very messy. I have spent a great chunk of the day tryi=
ng to debug it but did not update the already opened bug report.

I originally reported it as "spaces" being the problem because I misunderst=
ood the cause. Later along the day I realized that moving the data outside =
of the Nextcloud folder solves the issues.

Let me summarize it better:

- w32-shell-execute with verb "open" fails to actually open any object that=
 lays inside a Nextcloud folder.
- those same files can be opened from Windows Explorer
- moving those files outside of Nextcloud or switching off Nextcloud solves=
 the issue but that is kind of pointless.
- w32-shell-execute does not generate any message or log and I do not know =
how to debug it.

The problem is evidenced with any type of file. Initially I was obsessed wi=
th PDF but as I explain in my previous file, it occurs with Word files and =
any other file that is not associated to emacs -- for instance,=20

(w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.docx")
(w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.pdf")

I am wondering whether it has to do with the permissions of the emacs.exe e=
xecutable or the fact that it uses a w32 api call. I have tried investigati=
ng the Windows logs but I found no error associated to the w32-shell-execut=
e call.

Thanks for looking into this.
Best,

--
Juan Jos=E9 Garc=EDa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 8 Dec 2019 17:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 12:09:10 2019
Received: from localhost ([127.0.0.1]:52192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ie03R-0003ZB-Pg
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:09:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ie03Q-0003Yy-01
 for 38526 <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:09:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47043)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ie03K-0004Y1-ME; Sun, 08 Dec 2019 12:09:02 -0500
Received: from [176.228.60.248] (port=3767 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ie03K-00045t-2Z; Sun, 08 Dec 2019 12:09:02 -0500
Date: Sun, 08 Dec 2019 19:08:43 +0200
Message-Id: <8336dueodg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
In-reply-to: <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN> (message from Juan
 Jose Garcia-Ripoll on Sun, 08 Dec 2019 17:12:51 +0100)
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
 <83blsiesbg.fsf@HIDDEN> <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
Cc: 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 08 Dec 2019 17:12:51 +0100
> From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
> Cc: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>,
> 	38526 <at> debbugs.gnu.org
> 
> I am trying to debug w32-shell-execute, but there are no useful error messages. I am using SumatraPDF, which works fine in all documents.

How is SumatraPDF configured on your system?  On my system, here's how
I see the command invoked to open PDF files:

  D:\usr\eli>assoc .pdf
  .pdf=AcroExch.Document.11
  D:\usr\eli>ftype AcroExch.Document.11
  AcroExch.Document.11="C:\Program Files\Adobe\Reader 11.0\Reader\AcroRd32.exe" "%1"

And that quoted "%1" is the reason why file names with spaces will be
processed correctly.  Maybe on your system the quotes are missing?

> To verify, I have done the same test using a Word document
>   (w32-shell-execute "open" "c:\\Users\\juanj\\tmp\\Test document.docx")
>   (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\Test document.docx")
> and the result is the same: both functions return 't but only the first one opens the document...

If the function returns t, it means it succeeded in launching the
requisite application.  The problem, if it happens, is within the
application it launches.

Is the below of any help?

  https://forum.sumatrapdfreader.org/t/space-in-file-names-paths/1555/5




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 8 Dec 2019 17:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 12:03:49 2019
Received: from localhost ([127.0.0.1]:52188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idzyG-0003Rl-SM
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 12:03:49 -0500
Received: from cel1.sgai.csic.es ([161.111.10.57]:26564)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1idzAz-00028r-FF
 for 38526 <at> debbugs.gnu.org; Sun, 08 Dec 2019 11:12:54 -0500
IronPort-PHdr: =?us-ascii?q?9a23=3AOVHf/h/OFHT9Z/9uRHKM819IXTAuvvDOBiVQ1K?=
 =?us-ascii?q?B20OIcTK2v8tzYMVDF4r011RmVBN6dsqIbwLqL+4nbGkU4qa6bt34DdJEeHz?=
 =?us-ascii?q?Qksu4x2zIaPcieFEfgJ+TrZSFpVO5LVVti4m3peRMNQJW2aFLduGC94iAPER?=
 =?us-ascii?q?vjKwV1Ov71GonPhMiryuy+4ZLebxhGiTanfL9/Lxe7oQrSu8QWnIBvNrs/xh?=
 =?us-ascii?q?zVr3VSZu9Y33loJVWdnxb94se/4ptu+DlOtvwi6sBNT7z0c7w3QrJEAjsmNX?=
 =?us-ascii?q?s15NDwuhnYUQSP/HocXX4InRdOHgPI8Qv1Xpb1siv9q+p9xCyXNtD4QLwoRT?=
 =?us-ascii?q?iv6bpgRQT2gykbKTE27GDXitRxjK1FphKhuwd/yJPQbI2MKfZyYr/RcdYcSG?=
 =?us-ascii?q?FcXMheSjZBD5uyYYUMD+QPI/tWoIvzp1QAohSxGQaiCfjzyj9RnHL6wbE23v?=
 =?us-ascii?q?48HQzAwQcuH8gOsHPRrNjtMKkSTPq6zK/VxjvHaPNWwiny45XJfB87u/GDQb?=
 =?us-ascii?q?NwftDIxUczFgPFllKQqYjhPziI0ekNsXWb4PBmVeKtjG4nsB9+riKgxsg2kI?=
 =?us-ascii?q?nGmoMVxUre+SVjwYY1Pdq4SEp/YdO/DJRQrCCaOJdsTsw8WGFloSA3waAIt5?=
 =?us-ascii?q?68eSgF0pUnxxjHZvyHaIeH+AjjWPyPLjdjgn9uZbGxhw6q/ES91uHwTNS43E?=
 =?us-ascii?q?pWoiZfkdTAqGoB2hzN5sSfSfZx412t1SqV2wzO8O1IP1w4mKTdJpU82LA/jI?=
 =?us-ascii?q?ATvl7GHiLunUX2i7KZeVs89+iz7uTnfq3mppiBN49okg3+Mrohmsi4AekgKQ?=
 =?us-ascii?q?gOWnSb+fy91L3l50H2XK5KjvwqnaXDrp/aPtwXpq+/AwBLzoYu8wuzAyu83N?=
 =?us-ascii?q?gFgXULMEhJdRGZg4TzO1zCPuj0DfKljFStlDdryerGPrrkApjVLHjDja3ufb?=
 =?us-ascii?q?B/605b0wo808pT551OBbEbPP3zW1X+uMbCDh84Kwy0xOLnCNFm24wCQmKPA7?=
 =?us-ascii?q?OWPLnMvl+T/u4vOfWDZJcJuDbhLPgo//DjgHw5lFMDfKSkxoYYZ26jEft9Pk?=
 =?us-ascii?q?WZbmHsjs0OEWcMowoyVuvqiEeNUTRLfXa9Q7o85i0nCIKhFYrMWIStgL2A3S?=
 =?us-ascii?q?qgEZ1WYH1GBkqLEXfyeIXXE8sLPQ+WI4dTmyYJSaOiSo5pgRyqtR3SxLx6aO?=
 =?us-ascii?q?3O9XtLm4jk0Y1X+uTV3TM17jE8IM2H2GCEClt1hmQMQ3di3r12p0560VrF3q?=
 =?us-ascii?q?FiiP1RU8ZS//RNVi8xLp/XieFhXYOhEjndd8uEHQ71Cu6tBis8G5dom4cD?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2GjAACbIO1d/zRSZAplGgEBAQEBAQE?=
 =?us-ascii?q?BAQMBAQEBEQEBAQICAQEBAYF+gwyBMYd1i3uBZotBj20JAQEBDhsUAQGBBIM?=
 =?us-ascii?q?8AoI6OBMCEAEBAQQBAQEBAQUDAQEBAoVUTAyCOykBgU2BM0IBAQEBA3kQCw0?=
 =?us-ascii?q?HAQMuSQENBhODI61ugicaAoNggVSFCIE2gWWLMYEcgRGDEz6ESYVuBJYXmEI?=
 =?us-ascii?q?HgjGCEoURjkMbgzaLLAOLTaRwhC2BaYF7MxqDXwlHEYxfhQmJWXMBj1IBAQ?=
X-IPAS-Result: =?us-ascii?q?A2GjAACbIO1d/zRSZAplGgEBAQEBAQEBAQMBAQEBEQEBA?=
 =?us-ascii?q?QICAQEBAYF+gwyBMYd1i3uBZotBj20JAQEBDhsUAQGBBIM8AoI6OBMCEAEBA?=
 =?us-ascii?q?QQBAQEBAQUDAQEBAoVUTAyCOykBgU2BM0IBAQEBA3kQCw0HAQMuSQENBhODI?=
 =?us-ascii?q?61ugicaAoNggVSFCIE2gWWLMYEcgRGDEz6ESYVuBJYXmEIHgjGCEoURjkMbg?=
 =?us-ascii?q?zaLLAOLTaRwhC2BaYF7MxqDXwlHEYxfhQmJWXMBj1IBAQ?=
X-IronPort-AV: E=Sophos;i="5.69,292,1571695200"; d="scan'208";a="32030116"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.52])
 by cel1.sgai.csic.es with ESMTP; 08 Dec 2019 17:12:51 +0100
Received: from deutsch.csic.es (static.203.1.0.81.ibercom.com [81.0.1.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id 9AB2910A8EC2;
 Sun,  8 Dec 2019 17:12:50 +0100 (CET)
Date: Sun, 08 Dec 2019 17:12:51 +0100
Message-ID: <86blsihk3g.wl-juanjose.garcia.ripoll@HIDDEN>
From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
In-Reply-To: <83blsiesbg.fsf@HIDDEN>
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
 <83blsiesbg.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/26
 (x86_64-w64-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
X-Mailman-Approved-At: Sun, 08 Dec 2019 12:03:47 -0500
Cc: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>,
 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sun, 08 Dec 2019 17:43:31 +0100,
Eli Zaretskii wrote:
>=20
> > Date: Sun, 08 Dec 2019 12:04:59 +0100
> > From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
> >=20
> > I am using org-open-file to open files in dired. This function, for some
> > file types, relies on w32-shell-execute with the "open" verb. This verb
> > fails when the full path contains spaces. For instance, the first insta=
nce
> > does not work, while the second does
> >=20
> > (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\some-path\\CV.p=
df")
> >=20
> > (w32-shell-execute "open" "c:\\Users\\juanj\\another-path\\CV.pdf")
> >=20
> > I am reporting this from a rather full image, but the problem also is s=
hown
> > in a bare-bones emacs (emacs -q)
>=20
> Not reproducible here, although I tried several PDF documents on 2
> different systems.
>=20
> What program is configured on your system to open PDF documents?  Is
> it possible that its configuration is wrong?

I am trying to debug w32-shell-execute, but there are no useful error messa=
ges. I am using SumatraPDF, which works fine in all documents.

The only difference is the path: whether the document is inside the Nextclo=
ud folder or not (initially I thought it had to do with spaces in the name,=
 but does not seem the case). I am using this PDF viewer for everything in =
Emacs (including AucTeX), but also from Windows Shell (Default option in "O=
pen").

To verify, I have done the same test using a Word document
  (w32-shell-execute "open" "c:\\Users\\juanj\\tmp\\Test document.docx")
  (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\Test documen=
t.docx")
and the result is the same: both functions return 't but only the first one=
 opens the document...

--
Juan Jos=E9 Garc=EDa Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 8 Dec 2019 16:56:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 11:56:10 2019
Received: from localhost ([127.0.0.1]:52179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idzqr-0003FQ-RW
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 11:56:09 -0500
Received: from mail-qt1-f174.google.com ([209.85.160.174]:35966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1idzqp-0003F0-Mq
 for 38526 <at> debbugs.gnu.org; Sun, 08 Dec 2019 11:56:09 -0500
Received: by mail-qt1-f174.google.com with SMTP id k11so13036894qtm.3
 for <38526 <at> debbugs.gnu.org>; Sun, 08 Dec 2019 08:56:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=mq8GLycO4yhQAdfsVvoUX7N1gsq0Z+u6UBuUGI4kwjg=;
 b=knM4+23Mwq10E6d9DpERjKtof/vIFm12LQYYd0oDYl28uZw5i3mmPC0mXp0lQ6WtD3
 +n1IP/lhMCSZPGUWBMQh3E8qimPee2eKZpz62t/eXeDIa0XQ3tHmEOzPr1LIOKEf8/Wj
 lnIL7Iq24EXdrRNlhMMbYLjXDtTPCfb0zaDWEV6VXcDi74YSp4YLdI0LWFGeHji+Vw+i
 K7WuMWgDPPT9UQEJdkH0+5Y4ddgqhrQ8WsUo2CSw3OozIGc39/Ayev5hJv9TKYCd+4bn
 FMw96kqrBqqszYE62SDdNYtivyW2e3mNAWKLdstodhyzWtFk/fvqT/WFu0dQOarBdEzx
 PrVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=mq8GLycO4yhQAdfsVvoUX7N1gsq0Z+u6UBuUGI4kwjg=;
 b=WlBDw49hmn2LkMfIg0zkumrghLoqWwrXEgFrPRtXw4OxJT5m7BsCOtBnn/09z/OS43
 9tmzP+9z21lgQ9esnY5gz85FGvb4FoyV5IzVblg0eA4TvkXzhOpSVVD2gDnV/O/PdgbB
 bq7xf9S6Fzg5Y0oxAujxMh+4/OS/cpRnTySW8Gk9jdIV1Q77XB660r2/p6WcSv75URcD
 3YptX4jrcqv5uYX2jZltgVupblcMT17Di9XHiHtgBFWQrKB2YpToRPNVbujnnATOT428
 KmmohLqjdzejlNx3Vl7mK6t2TP55ZDyoMk0bKT6ruoDb53oRaCu2xgo2nU4kLhBBF3wA
 4/aw==
X-Gm-Message-State: APjAAAVe1YGny31qe1e5Bhn7PAkoCAe7frVtCfFXrizOdAKbQ9qa1SID
 SMMDj+FhEZJ3sCguZFqT00iCCsjA
X-Google-Smtp-Source: APXvYqz5Z/W3p3kgSHX/fCBPSp+nbBowPq/HtfhGF89o/Fuq1wG1jQ/vPPxiDaxfZJMurk3U+etWmw==
X-Received: by 2002:aed:2926:: with SMTP id s35mr22140971qtd.220.1575824162045; 
 Sun, 08 Dec 2019 08:56:02 -0800 (PST)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 f23sm8100634qke.104.2019.12.08.08.56.01
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 08 Dec 2019 08:56:01 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
Date: Sun, 08 Dec 2019 11:56:00 -0500
In-Reply-To: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN> (Juan Jose
 Garcia-Ripoll's message of "Sun, 08 Dec 2019 12:04:59 +0100")
Message-ID: <87lfrmdae7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38526
Cc: 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN> writes:

> This verb fails when the full path contains spaces. For instance, the
> first instance does not work, while the second does
>
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\some-path\\CV.pdf")
>
> (w32-shell-execute "open" "c:\\Users\\juanj\\another-path\\CV.pdf")

Neither example has spaces, did you post the wrong one?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at 38526 <at> debbugs.gnu.org:


Received: (at 38526) by debbugs.gnu.org; 8 Dec 2019 15:43:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 10:43:55 2019
Received: from localhost ([127.0.0.1]:52091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idyiw-0007zf-P2
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 10:43:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1idyiv-0007zQ-CH
 for 38526 <at> debbugs.gnu.org; Sun, 08 Dec 2019 10:43:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46339)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1idyip-0004vP-SQ; Sun, 08 Dec 2019 10:43:47 -0500
Received: from [176.228.60.248] (port=2377 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1idyip-0001IQ-5s; Sun, 08 Dec 2019 10:43:47 -0500
Date: Sun, 08 Dec 2019 17:43:31 +0200
Message-Id: <83blsiesbg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
In-reply-to: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN> (message from Juan
 Jose Garcia-Ripoll on Sun, 08 Dec 2019 12:04:59 +0100)
Subject: Re: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder
References: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38526
Cc: 38526 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 08 Dec 2019 12:04:59 +0100
> From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
> 
> I am using org-open-file to open files in dired. This function, for some
> file types, relies on w32-shell-execute with the "open" verb. This verb
> fails when the full path contains spaces. For instance, the first instance
> does not work, while the second does
> 
> (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\some-path\\CV.pdf")
> 
> (w32-shell-execute "open" "c:\\Users\\juanj\\another-path\\CV.pdf")
> 
> I am reporting this from a rather full image, but the problem also is shown
> in a bare-bones emacs (emacs -q)

Not reproducible here, although I tried several PDF documents on 2
different systems.

What program is configured on your system to open PDF documents?  Is
it possible that its configuration is wrong?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2019 12:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 08 07:00:53 2019
Received: from localhost ([127.0.0.1]:50621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idvF5-0000JV-Sk
	for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 07:00:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:39286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1iduNM-0007IN-Kz
 for submit <at> debbugs.gnu.org; Sun, 08 Dec 2019 06:05:21 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48681)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1iduNI-0001yn-Hb
 for bug-gnu-emacs@HIDDEN; Sun, 08 Dec 2019 06:05:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.9 required=5.0 tests=AC_FROM_MANY_DOTS,BAYES_50,
 RCVD_IN_DNSWL_MED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juanjose.garcia.ripoll@HIDDEN>) id 1iduNE-0000Sa-7I
 for bug-gnu-emacs@HIDDEN; Sun, 08 Dec 2019 06:05:15 -0500
Received: from cel1.sgai.csic.es ([161.111.10.57]:2682)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juanjose.garcia.ripoll@HIDDEN>)
 id 1iduND-0008So-JF
 for bug-gnu-emacs@HIDDEN; Sun, 08 Dec 2019 06:05:12 -0500
IronPort-PHdr: =?us-ascii?q?9a23=3A4pFJ4hLVKPvjf3hp99mcpTZWNBhigK39O0sv0r?=
 =?us-ascii?q?FitYgeK/7xwZ3uMQTl6Ol3ixeRBMOHsqkC0rqJ+Pq5EUU7or+5+EgYd5JNUx?=
 =?us-ascii?q?JXwe43pCcHRPC/NEvgMfTxZDY7FskRHHVs/nW8LFQHUJ2mPw6arXK99yMdFQ?=
 =?us-ascii?q?viPgRpOOv1BpTSj8Oq3Oyu5pHfeQpFiCezbL9oMRm7rgfcusYIjYd/N6081g?=
 =?us-ascii?q?bHrnxUdupM2GhmP0iTnxHy5sex+J5s7SFdsO8/+sBDTKv3Yb02QaRXAzo6PW?=
 =?us-ascii?q?814tbrtQTYQguU+nQcSGQWnQFWDAXD8Rr3Q43+sir+tup6xSmaIcj7Rq06VD?=
 =?us-ascii?q?i+86tmTgLjhSEaPDA77W7XkNR9gqxYrhyhuRJx3oDbb46JO/dlYqPRYckXSX?=
 =?us-ascii?q?ZdUstLSSBMBJ63YYsVD+oGOOZVt43zp0YUohu4GAKiAOTvyiRWiXTr3KM1yf?=
 =?us-ascii?q?4hHh3H3AM6Bt4ArHXUrM3yNKcWVeC+0a7FzTfeb/xM3zf96o/Icgs/rv2WUr?=
 =?us-ascii?q?J/a9DRxlUuFwzflFmQs43lPyuS1uQJt2iW9PZvVfmui2E7sQ1+vCOvy94qh4?=
 =?us-ascii?q?LUhYwV0kjJ+ThlzIovONG0VFJ3bcSnHZdOrS2XN4V7TtshTm11oio21qcKtY?=
 =?us-ascii?q?OhcCQU1JgqyRjSYOGdfYeS+BLsTuORLC99hHJiZb2wmQ6/8VOlyu3gTsm010?=
 =?us-ascii?q?tKrjZdntnMqH8N0xvT59CcSvt44kehwTeP1wbJ5u5YOkA0lLbUJ4Q/zb4rjp?=
 =?us-ascii?q?YTsELDETHqmEjukaOaal8o9vW05+j7eLnrpYGQO5V0hwzwKqgun9awAeU8Mg?=
 =?us-ascii?q?gARWib/uG82aXh/U3kWrpKiP82kq7CsJ/EP8gbqbS2AxVJ3YYi8RmzFS2m0N?=
 =?us-ascii?q?UAnXkAKFJFfAmKgJTyO1HPPP/0F+mwg0+0nDdx2//GJqHhAonKLnXbi7jhYL?=
 =?us-ascii?q?l951dTyAo10NBT/oxbCrQbL/3vQU/8r9PYDhkkMwCuxObnEtp9hcsiXjeFH6?=
 =?us-ascii?q?DcP6XP9FKN7+k0C+aKeckSojmuBeIi4qvMkHY/0X0aZqTh8pINY3GxW85nO0?=
 =?us-ascii?q?KdZTK4gMoIF2UNpQd4Q+Xwg1yLFyRSf3G2W4o3/TAwTo+9W9SQDruxiaCMiX?=
 =?us-ascii?q?/oVqZdYXpLXwiB?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2GLCwC41+xd/zVSZApkHgELHINtBZY?=
 =?us-ascii?q?4jSeDOIw1CQEBAQ4THAEBhECCPDgTAhABAQEEAQEBAQEFAwEBAQKFVFiCOyK?=
 =?us-ascii?q?DayAvATchAQGBJIJ8sBUaAoU0hH6BNoFlizGBHIERh3oBAQhCHAIFhR8EjRe?=
 =?us-ascii?q?JAJhCB4IxghKOSIJLgkEbjmIDi02pHYFpgXszGnOCbU8Ra4t0JAMBFo4kkC8?=
 =?us-ascii?q?NFYIdAQE?=
X-IPAS-Result: =?us-ascii?q?A2GLCwC41+xd/zVSZApkHgELHINtBZY4jSeDOIw1CQEBA?=
 =?us-ascii?q?Q4THAEBhECCPDgTAhABAQEEAQEBAQEFAwEBAQKFVFiCOyKDayAvATchAQGBJ?=
 =?us-ascii?q?IJ8sBUaAoU0hH6BNoFlizGBHIERh3oBAQhCHAIFhR8EjReJAJhCB4IxghKOS?=
 =?us-ascii?q?IJLgkEbjmIDi02pHYFpgXszGnOCbU8Ra4t0JAMBFo4kkC8NFYIdAQE?=
X-IronPort-AV: E=Sophos;i="5.69,291,1571695200"; d="scan'208";a="21161805"
Received: from unknown (HELO smtpin.csic.es) ([10.100.82.53])
 by cel1.sgai.csic.es with ESMTP; 08 Dec 2019 12:05:09 +0100
Received: from deutsch.csic.es (static.203.1.0.81.ibercom.com [81.0.1.203])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested) (Authenticated sender: 08930807E)
 by smtpin.csic.es (Postfix) with ESMTPSA id 97C7610A8EC1
 for <bug-gnu-emacs@HIDDEN>; Sun,  8 Dec 2019 12:05:07 +0100 (CET)
Date: Sun, 08 Dec 2019 12:04:59 +0100
Message-ID: <86eexfgjs4.wl-juanjose.garcia.ripoll@HIDDEN>
From: Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; w32-shell-execute fails inside Nextcloud folder
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL/10.8 EasyPG/1.0.0 Emacs/26
 (x86_64-w64-mingw32) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 161.111.10.57
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 08 Dec 2019 07:00:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


I am using org-open-file to open files in dired. This function, for some
file types, relies on w32-shell-execute with the "open" verb. This verb
fails when the full path contains spaces. For instance, the first instance
does not work, while the second does

(w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\some-path\\CV.pdf")

(w32-shell-execute "open" "c:\\Users\\juanj\\another-path\\CV.pdf")

I am reporting this from a rather full image, but the problem also is shown
in a bare-bones emacs (emacs -q)



In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29 built on CIRROCUMULUS
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor 'Microsoft Corp.', version 10.0.18362
Recent messages:
t
Mark set
t
Mark set
Undo in region!
user-error: No further undo information for region [7 times]
Mark set [11 times]
previous-line: Beginning of buffer [12 times]
Quit
Mark set

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS THREADS LCMS2

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
  flyspell-lazy-mode: t
  diff-auto-refine-mode: t
  ido-vertical-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  save-place-mode: t
  savehist-mode: t
  gcmh-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/md4 hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/md4
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/hex-util hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/hex-util
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-texinfo hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-texinfo
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-publish hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-publish
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-org hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-org
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-odt hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-odt
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-md hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-md
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-man hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-man
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-latex hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-latex
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-icalendar hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-icalendar
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-html hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-html
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-beamer hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-beamer
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ox-ascii hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ox-ascii
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-w3m hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-w3m
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-version hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-version
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-timer hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-timer
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-table hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-table
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-src hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-src
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-rmail hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-rmail
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-protocol hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-protocol
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-plot hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-plot
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-pcomplete hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-pcomplete
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-mouse hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-mouse
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-mobile hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-mobile
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-mhe hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-mhe
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-macs hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-macs
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-macro hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-macro
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-loaddefs hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-loaddefs
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-list hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-list
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-lint hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-lint
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-irc hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-irc
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-install hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-install
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-inlinetask hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-inlinetask
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-info hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-info
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-indent hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-indent
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-id hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-id
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-habit hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-habit
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-gnus hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-gnus
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-footnote hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-footnote
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-feed hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-feed
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-faces hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-faces
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-eww hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-eww
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-eshell hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-eshell
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-entities hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-entities
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-element hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-element
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-duration hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-duration
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-docview hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-docview
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-datetree hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-datetree
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-ctags hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-ctags
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-crypt hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-crypt
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-compat hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-compat
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-colview hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-colview
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-clock hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-clock
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-capture hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-capture
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-bibtex hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-bibtex
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-bbdb hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-bbdb
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-attach hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-attach
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-archive hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-archive
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/org-agenda hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/org-agenda
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-vala hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-vala
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-tangle hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-tangle
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-table hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-table
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-stan hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-stan
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-sqlite hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-sqlite
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-sql hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-sql
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-shen hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-shen
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-shell hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-shell
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-sed hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-sed
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-screen hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-screen
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-scheme hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-scheme
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-sass hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-sass
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-ruby hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-ruby
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-ref hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-ref
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-R hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-R
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-python hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-python
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-processing hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-processing
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-plantuml hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-plantuml
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-picolisp hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-picolisp
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-perl hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-perl
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-org hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-org
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-octave hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-octave
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-ocaml hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-ocaml
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-mscgen hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-mscgen
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-maxima hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-maxima
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-matlab hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-matlab
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-makefile hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-makefile
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-lua hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-lua
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-lob hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-lob
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-lisp hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-lisp
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-lilypond hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-lilypond
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-ledger hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-ledger
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-latex hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-latex
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-keys hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-keys
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-js hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-js
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-java hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-java
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-J hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-J
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-io hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-io
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-hledger hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-hledger
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-haskell hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-haskell
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-groovy hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-groovy
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-gnuplot hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-gnuplot
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-fortran hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-fortran
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-forth hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-forth
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-exp hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-exp
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-eval hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-eval
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-emacs-lisp hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-emacs-lisp
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-ebnf hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-ebnf
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-dot hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-dot
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-ditaa hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-ditaa
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-css hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-css
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-core hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-core
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-coq hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-coq
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-comint hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-comint
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-clojure hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-clojure
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-calc hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-calc
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-C hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-C
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-awk hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-awk
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-asymptote hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-asymptote
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/org-20191125/ob-abc hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/org/ob-abc
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/sasl hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/sasl
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/sasl-ntlm hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/sasl-ntlm
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/sasl-digest hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/sasl-digest
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/sasl-cram hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/sasl-cram
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/ntlm hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/ntlm
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/hmac-md5 hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/hmac-md5
c:/Users/juanj/OneDrive/Library/Emacs/elpa-26/flim-20190526.1034/hmac-def hides c:/Users/juanj/AppData/Roaming/emacs/share/emacs/26.3/lisp/net/hmac-def

Features:
(shadow emacsbug dired-aux ibuf-ext ibuffer ibuffer-loaddefs
org-archive org-capture ob-ditaa ob-plantuml org-clock org-colview
org-crypt org-habit org-agenda eieio-opt speedbar sb-image ezimage
dframe help-fns radix-tree org-table org-indent org-eww org-rmail
org-mhe org-irc org-info org-gnus nnir gnus-sum gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo
parse-time gnus-spec gnus-int gnus-range message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode gmm-utils mailheader gnus-win gnus
nnheader gnus-util rmail rmail-loaddefs org-docview doc-view jka-compr
image-mode org-bibtex bibtex org-bbdb org-w3m smtp sasl sasl-anonymous
sasl-login sasl-plain flyspell-lazy face-remap vc-git diff-mode
mail-extr mail-parse rfc2231 url-util mime-shr shr svg xml dom
browse-url wl-score elmo-internal mel-q-ccl epa-file epa epg
elmo-passwd network-stream puny nsm rmc starttls tls gnutls
elmo-maildir utf-7 elmo-imap4 time-stamp modb-legacy modb-standard
bbdb-wl wl-mime mime-play filename mime-edit mime-setup
mail-mime-setup semi-setup mime-image org-mime ox-org bbdb-mua
bbdb-com crm mailabbrev bbdb bbdb-site wl-demo wl-draft eword-encode
wl-template sendmail rfc2047 rfc2045 ietf-drums mail-utils elmo-net
elmo-cache elmo-map elmo-dop derived wl-address wl-thread wl-action
wl-summary ps-print ps-print-loaddefs ps-def lpr wl-refile wl-message
elmo-mime mmelmo-buffer mmelmo-imap mime-view mime-conf calist
semi-def mmimap mime-parse mmbuffer mmgeneric wl-highlight elmo-multi
wl-folder wl wl-e21 wl-util pp elmo-flag elmo-localdir wl-vars
wl-version elmo elmo-signal elmo-msgdb modb modb-generic modb-entity
mime elmo-util emu invisible inv-23 poem poem-e20 poem-e20_3
eword-decode mel mime-def alist mcharset mcs-20 mcs-e20 pces pces-e20
pces-20 pcustom elmo-date timezone elmo-vars path-util elmo-version
luna std11 pccl pccl-20 ccl broken poe pym static apel-ver product
org-protocol org-id ox-reveal cl ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-latex ox-icalendar ox-html table ox-ascii ox-publish ox
smartparens-org org-element avl-tree generator org org-macro
org-footnote org-pcomplete pcomplete org-list org-faces org-entities
noutline outline org-version ob-python ob ob-tangle org-src ob-ref
ob-lob ob-table ob-keys ob-exp ob-comint comint ansi-color ring
ob-emacs-lisp ob-core ob-eval org-compat org-macs org-loaddefs
format-spec find-func cal-menu calendar cal-loaddefs server elec-pair
benchmark-init-modes pcase ido-vertical-mode ido smartparens-config
smartparens-text smartparens thingatpt dash dired dired-loaddefs
grayscale-theme saveplace savehist mm-util mail-prsvr edmacro kmacro
cus-edit cus-start cus-load wid-edit benchmark-init advice time-date
gcmh diminish cl-extra help-mode use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
easy-mmode use-package-core finder-inf tex-site info package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32
ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet
lao korean japanese eucjp-ms cp51932 hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese composite charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
threads w32notify w32 lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 653709 230684)
 (symbols 48 56388 3)
 (miscs 40 948 2579)
 (strings 32 200377 40400)
 (string-bytes 1 5787062)
 (vectors 16 63208)
 (vector-slots 8 1342518 173116)
 (floats 8 605 1954)
 (intervals 56 9145 1764)
 (buffers 992 54))




Acknowledgement sent to Juan Jose Garcia-Ripoll <juanjose.garcia.ripoll@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38526; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 9 Dec 2019 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.